
CN REST - Bug #7244

view service returns a 500 error when given an non-existent PID

2015-07-01 17:31 - Dave Vieglais

Status: Closed Start date: 2015-07-01

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: cn_metacat Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

Should return  a 404 error

e.g.:

https://cn-dev-ucsb-1.test.dataone.org/cn/v2/views/IDontExist-Really!

History

#1 - 2015-07-01 17:31 - Dave Vieglais

- Project changed from Infrastructure to CN REST

- Category changed from d1_cn_service to cn_metacat

#2 - 2015-07-01 22:25 - Jing Tao

We should include the theme in the url:

GET /views/{theme}/{id}

If you access this url, you will get the 404:

https://cn-dev-ucsb-1.test.dataone.org/cn/v2/views/knb/IDontExist-Really

#3 - 2015-07-06 21:06 - Jing Tao

- Status changed from New to Closed

- % Done changed from 0 to 100

#4 - 2015-07-14 20:33 - Jing Tao

If you don't specify the theme name, now you will get an invalid request exception.
